diff --git a/public/help/wiki_syntax.html b/public/help/wiki_syntax.html
index d2ca19b..ebab4bd 100644
--- a/public/help/wiki_syntax.html
+++ b/public/help/wiki_syntax.html
@@ -58,7 +58,7 @@ table td h3 { font-size: 1.2em; text-align: left; }
 <tr><th></th><td>!<em>attached_image</em>!</td><td></td></tr>
 </table>
 
-<p><a href="http://www.redmine.org/wiki/redmine/RedmineWikiFormatting" onclick="window.open('http://www.redmine.org/wiki/redmine/RedmineWikiFormatting', '', ''); return false;">More Information</a></p>
+<p><a href="wiki_syntax_detailed.html" onclick="window.open('wiki_syntax_detailed.html', '', ''); return false;">More Information</a></p>
 
 </body>
 </html>
diff --git a/public/help/wiki_syntax_detailed.html b/public/help/wiki_syntax_detailed.html
new file mode 100644
index 0000000..deb15ac
--- /dev/null
+++ b/public/help/wiki_syntax_detailed.html
@@ -0,0 +1,240 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+<head>
+<title>RedmineWikiFormatting</title>
+<meta http-equiv="content-type" content="text/html; charset=utf-8" />
+<style>
+body { font:80% Verdana,Tahoma,Arial,sans-serif; }
+h1, h2, h3, h4 {  font-family: Trebuchet MS,Georgia,"Times New Roman",serif; }
+</style>
+</head>
+<body>
+<h1><a name="1" class="wiki-page"></a>Wiki formatting</h1>
+
+
+
+	<h2><a name="2" class="wiki-page"></a>Links</h2>
+
+
+	<h3><a name="3" class="wiki-page"></a>Redmine links</h3>
+
+
+	<p>Redmine allows hyperlinking between issues, changesets and wiki pages from anywhere wiki formatting is used.</p>
+
+
+	<ul>
+	<li>Link to an issue: <strong>#124</strong> (displays <del><a href="/issues/show/124" class="issue" title="bulk edit doesn't change the category or fixed version properties (Closed)">#124</a></del>, link is striked-through if the issue is closed)</li>
+		<li>Link to a changeset: <strong>r758</strong> (displays <a href="/repositories/revision/1?rev=758" class="changeset" title="Search engine now only searches objects the user is allowed to view.">r758</a>)</li>
+	</ul>
+
+
+	<p>Wiki links:</p>
+
+
+	<ul>
+	<li><strong>&#91;&#91;Guide&#93;&#93;</strong> displays a link to the page named 'Guide': <a href="Guide.html" class="wiki-page">Guide</a></li>
+		<li><strong>&#91;&#91;Guide|User manual&#93;&#93;</strong> displays a link to the same page but with a different text: <a href="Guide.html" class="wiki-page">User manual</a></li>
+	</ul>
+
+
+	<p>You can also link to pages of an other project wiki:</p>
+
+
+	<ul>
+	<li><strong>&#91;&#91;sandbox:some page&#93;&#93;</strong> displays a link to the page named 'Some page' of the Sandbox wiki</li>
+		<li><strong>&#91;&#91;sandbox:&#93;&#93;</strong> displays a link to the Sandbox wiki main page</li>
+	</ul>
+
+
+	<p>Wiki links are displayed in red if the page doesn't exist yet, eg: <a href="Nonexistent_page.html" class="wiki-page new">Nonexistent page</a>.</p>
+
+
+	<p>Links to others resources (0.6.devel.1064 and above):</p>
+
+
+	<ul>
+	<li>Documents:
+
+	<ul>
+	<li><strong>document#17</strong> (link to document with id 17)</li>
+		<li><strong>document:Greetings</strong> (link to the document with title "Greetings")</li>
+		<li><strong>document:"Some document"</strong> (double quotes can be used when document title contains spaces)</li>
+	</ul></li>
+	</ul>
+
+
+	<ul>
+	<li>Versions:
+
+	<ul>
+	<li><strong>version#3</strong> (link to version with id 3)</li>
+		<li><strong>version:1.0.0</strong> (link to version named "1.0.0")</li>
+		<li><strong>version:"1.0 beta 2"</strong></li>
+	</ul></li>
+	</ul>
+
+
+	<ul>
+	<li>Attachments:
+
+	<ul>
+	<li><strong>attachment:file.zip</strong> (link to the attachment of the current object named file.zip)</li>
+		<li>For now, attachments of the current object can be referenced only (if you're on an issue, it's possible to reference attachments of this issue only)</li>
+	</ul></li>
+	</ul>
+
+
+	<p>Escaping (0.6.devel.1064 and above):</p>
+
+
+	<ul>
+	<li>You can prevent Redmine links from being parsed by preceding them with an exclamation mark: !</li>
+	</ul>
+
+
+	<h3><a name="4" class="wiki-page"></a>External links</h3>
+
+
+	<p>HTTP URLs and email addresses are automatically turned into clickable links:</p>
+
+
+<pre>
+http://www.redmine.org, someone@foo.bar
+</pre>
+
+	<p>displays: <a class="external" href="http://www.redmine.org">http://www.redmine.org</a>, <a href="mailto:someone@foo.bar" class="email">someone@foo.bar</a></p>
+
+
+	<p>If you want to display a specific text instead of the URL, you can use the standard textile syntax:</p>
+
+
+<pre>
+"Redmine web site":http://www.redmine.org
+</pre>
+
+	<p>displays: <a href="http://www.redmine.org" class="external">Redmine web site</a></p>
+
+
+	<h2><a name="5" class="wiki-page"></a>Text formatting</h2>
+
+
+	<p>For things such as headlines, bold, tables, lists, Redmine supports Textile syntax.  See <a class="external" href="http://hobix.com/textile/">http://hobix.com/textile/</a> for information on using any of these features.  A few samples are included below, but the engine is capable of much more of that.</p>
+
+
+	<h3><a name="6" class="wiki-page"></a>Font style</h3>
+
+
+<pre><code>* *bold*
+* _italic_
+* _*bold italic*_
+* +underline+
+* -strike-through-
+&lt;/code></pre>
+
+	<p>Display:</p>
+
+
+	<ul>
+	<li><strong>bold</strong></li>
+		<li><em>italic</em></li>
+		<li><em>*bold italic*</em></li>
+		<li><ins>underline</ins></li>
+		<li><del>strike-through</del></li>
+	</ul>
+
+
+	<h3><a name="7" class="wiki-page"></a>Inline images</h3>
+
+
+	<ul>
+	<li><strong>&#33;image_url&#33;</strong> displays an image located at image_url (textile syntax)</li>
+		<li><strong>&#33;>image_url&#33;</strong> right floating image</li>
+		<li>If you have an image attached to your wiki page, it can be displayed inline using its filename: <strong>&#33;attached_image.png&#33;</strong></li>
+	</ul>
+
+
+	<h3><a name="8" class="wiki-page"></a>Headings</h3>
+
+
+<pre><code>h1. Heading
+h2. Subheading
+h3. Subheading
+&lt;/code></pre>
+
+	<h3><a name="9" class="wiki-page"></a>Paragraphs</h3>
+
+
+<pre><code>p&gt;. right aligned
+p=. centered
+&lt;/code></pre>
+
+	<p style="text-align:center;">This is centered paragraph.</p>
+
+
+	<h3><a name="10" class="wiki-page"></a>Blockquotes</h3>
+
+
+	<p>Start the paragraph with <strong>bq.</strong></p>
+
+
+<pre><code>bq. Rails is a full-stack framework for developing database-backed web applications according to the Model-View-Control pattern.
+To go live, all you need to add is a database and a web server.
+&lt;/code></pre>
+
+	<p>Display:</p>
+
+
+	<blockquote>
+		<p>Rails is a full-stack framework for developing database-backed web applications according to the Model-View-Control pattern.<br />To go live, all you need to add is a database and a web server.</p>
+	</blockquote>
+
+
+	<h3><a name="11" class="wiki-page"></a>Table of content</h3>
+
+
+<pre><code>{{toc}} =&gt; left aligned toc
+{{&gt;toc}} =&gt; right aligned toc
+&lt;/code></pre>
+
+	<h2><a name="12" class="wiki-page"></a>Macros</h2>
+
+
+	<p>Redmine has the following builtin macros:</p>
+
+
+	<p><dl><dt><code>hello_world</code></dt><dd><p>Sample macro.</p></dd><dt><code>include</code></dt><dd><p>Include a wiki page. Example:</p>
+
+
+	<pre><code>{{include(Foo)}}</code></pre></dd><dt><code>macro_list</code></dt><dd><p>Displays a list of all available macros, including description if available.</p></dd></dl></p>
+
+
+	<h2><a name="13" class="wiki-page"></a>Code highlighting</h2>
+
+
+	<p>Code highlightment relies on <a href="http://coderay.rubychan.de/" class="external">CodeRay</a>, a fast syntax highlighting library written completely in Ruby. It currently supports c, html, javascript, rhtml, ruby, scheme, xml languages.</p>
+
+
+	<p>You can highlight code in your wiki page using this syntax:</p>
+
+
+<pre><code>&lt;pre&gt;&lt;code class="ruby"&gt;
+  Place you code here.
+&lt;/code&gt;&lt;/pre&gt;
+</pre>&lt;/code>
+
+	<p>Example:</p>
+
+
+<pre><code class="ruby CodeRay"><span class="no"> 1</span> <span class="c"># The Greeter class</span>
+<span class="no"> 2</span> <span class="r">class</span> <span class="cl">Greeter</span>
+<span class="no"> 3</span>   <span class="r">def</span> <span class="fu">initialize</span>(name)
+<span class="no"> 4</span>     <span class="iv">@name</span> = name.capitalize
+<span class="no"> 5</span>   <span class="r">end</span>
+<span class="no"> 6</span> 
+<span class="no"> 7</span>   <span class="r">def</span> <span class="fu">salute</span>
+<span class="no"> 8</span>     puts <span class="s"><span class="dl">"</span><span class="k">Hello </span><span class="il"><span class="idl">#{</span><span class="iv">@name</span><span class="idl">}</span></span><span class="k">!</span><span class="dl">"</span></span> 
+<span class="no"> 9</span>   <span class="r">end</span>
+<span class="no"><strong>10</strong></span> <span class="r">end</span>
+</pre>&lt;/code>
+</body>
+</html>