Index: lang/bg.yml
===================================================================
--- lang/bg.yml	(revision 1308)
+++ lang/bg.yml	(working copy)
@@ -48,8 +48,8 @@
 general_text_yes: 'да'
 general_lang_name: 'Bulgarian'
 general_csv_separator: ','
-general_csv_encoding: cp1251
-general_pdf_encoding: cp1251
+general_csv_encoding: UTF-8
+general_pdf_encoding: UTF-8
 general_day_names: Понеделник,Вторник,Сряда,Четвъртък,Петък,Събота,Неделя
 general_first_day_of_week: '1'
 
@@ -57,11 +57,11 @@
 notice_account_invalid_creditentials: Невалиден потребител или парола.
 notice_account_password_updated: Паролата е успешно променена.
 notice_account_wrong_password: Грешна парола
-notice_account_register_done: Акаунтът е създаден успешно.
-notice_account_unknown_email: Непознат потребител.
-notice_can_t_change_password: Този акаунт е с външен метод за оторизация. Невъзможна смяна на паролата.
+notice_account_register_done: Профилът е създаден успешно.
+notice_account_unknown_email: Непознат e-mail.
+notice_can_t_change_password: Този профил е с външен метод за оторизация. Невъзможна смяна на паролата.
 notice_account_lost_email_sent: Изпратен ви е e-mail с инструкции за избор на нова парола.
-notice_account_activated: Акаунтът ви е активиран. Вече може да влезете.
+notice_account_activated: Профилът ви е активиран. Вече може да влезете в системата.
 notice_successful_create: Успешно създаване.
 notice_successful_update: Успешно обновяване.
 notice_successful_delete: Успешно изтриване.
@@ -78,8 +78,8 @@
 
 mail_subject_lost_password: Вашата парола (%s)
 mail_body_lost_password: 'За да смените паролата си, използвайте следния линк:'
-mail_subject_register: Активация на акаунт (%s)
-mail_body_register: 'За да активирате акаунта си използвайте следния линк:'
+mail_subject_register: Активация на профил (%s)
+mail_body_register: 'За да активирате профила си използвайте следния линк:'
 
 gui_validation_error: 1 грешка
 gui_validation_error_plural: %d грешки
@@ -113,11 +113,11 @@
 field_is_closed: Затворена задача
 field_is_default: Статус по подразбиране
 field_tracker: Тракер
-field_subject: Тема
+field_subject: Относно
 field_due_date: Крайна дата
 field_assigned_to: Възложена на
 field_priority: Приоритет
-field_fixed_version: Target version
+field_fixed_version: Планувана версия
 field_user: Потребител
 field_role: Роля
 field_homepage: Начална страница
@@ -138,7 +138,7 @@
 field_type: Тип
 field_host: Хост
 field_port: Порт
-field_account: Акаунт
+field_account: Профил
 field_base_dn: Base DN
 field_attr_login: Login attribute
 field_attr_firstname: Firstname attribute
@@ -163,7 +163,7 @@
 field_assignable: Възможно е възлагане на задачи за тази роля
 field_redirect_existing_links: Пренасочване на съществуващи линкове
 field_estimated_hours: Изчислено време
-field_default_value: Статус по подразбиране
+field_default_value: Стойност по подразбиране
 
 setting_app_title: Заглавие
 setting_app_subtitle: Описание
@@ -171,15 +171,15 @@
 setting_default_language: Език по подразбиране
 setting_login_required: Изискване за вход в системата
 setting_self_registration: Регистрация от потребители
-setting_attachment_max_size: Максимално голям приложен файл
+setting_attachment_max_size: Максимална големина на прикачен файл
 setting_issues_export_limit: Лимит за експорт на задачи
 setting_mail_from: E-mail адрес за емисии
 setting_host_name: Хост
 setting_text_formatting: Форматиране на текста
 setting_wiki_compression: Wiki компресиране на историята
 setting_feeds_limit: Лимит на Feeds
-setting_autofetch_changesets: Автоматично обработване на commits в хранилището
-setting_sys_api_enabled: Разрешаване на WS за управление на хранилището
+setting_autofetch_changesets: Автоматично обработване на ревизиите
+setting_sys_api_enabled: Разрешаване на WS за управление
 setting_commit_ref_keywords: Отбелязващи ключови думи
 setting_commit_fix_keywords: Приключващи ключови думи
 setting_autologin: Автоматичен вход
@@ -231,7 +231,7 @@
 label_home: Начало
 label_my_page: Лична страница
 label_my_account: Профил
-label_my_projects: Моите проекти
+label_my_projects: Проекти, в които участвам
 label_administration: Администрация
 label_login: Вход
 label_logout: Изход
@@ -375,8 +375,8 @@
 label_time_tracking: Отделяне на време
 label_change_plural: Промени
 label_statistics: Статистики
-label_commits_per_month: Commits за месец
-label_commits_per_author: Commits за автор
+label_commits_per_month: Ревизии по месеци
+label_commits_per_author: Ревизии по автор
 label_view_diff: Виж разликите
 label_diff_inline: хоризонтално
 label_diff_side_by_side: вертикално
@@ -389,7 +389,7 @@
 label_loading: Зареждане...
 label_relation_new: Нова релация
 label_relation_delete: Изтриване на релация
-label_relates_to: Свързана със
+label_relates_to: свързана със
 label_duplicates: дублира
 label_blocks: блокира
 label_blocked_by: блокирана от
@@ -427,10 +427,10 @@
 label_jump_to_a_project: Проект...
 
 button_login: Вход
-button_submit: Приложи
+button_submit: Прикачване
 button_save: Запис
-button_check_all: Маркирай всички
-button_uncheck_all: Изчисти всички
+button_check_all: Избор на всички
+button_uncheck_all: Изчистване на всички
 button_delete: Изтриване
 button_create: Създаване
 button_test: Тест
@@ -481,9 +481,9 @@
 text_tracker_no_workflow: Няма дефиниран работен процес за този тракер
 text_unallowed_characters: Непозволени символи
 text_comma_separated: Позволено е изброяване (с разделител запетая).
-text_issues_ref_in_commit_messages: Отбелязване и приключване на задачи от commit съобщения
-text_issue_added: Публикувана е нова задача с номер %s (by %s).
-text_issue_updated: Задача %s е обновена (by %s).
+text_issues_ref_in_commit_messages: Отбелязване и приключване на задачи от ревизии
+text_issue_added: Публикувана е нова задача с номер %s (от %s).
+text_issue_updated: Задача %s е обновена (от %s).
 text_wiki_destroy_confirmation: Сигурни ли сте, че искате да изтриете това Wiki и цялото му съдържание?
 text_issue_category_destroy_question: Има задачи (%d) обвързани с тази категория. Какво ще изберете?
 text_issue_category_destroy_assignments: Премахване на връзките с категорията
@@ -515,11 +515,11 @@
 enumeration_doc_categories: Категории документи
 enumeration_activities: Дейности (time tracking)
 label_file_plural: Файлове
-label_changeset_plural: Changesets
+label_changeset_plural: Ревизии
 field_column_names: Колони
 label_default_columns: По подразбиране
 setting_issue_list_default_columns: Показвани колони по подразбиране
-setting_repositories_encodings: Кодови таблици на хранилищата
+setting_repositories_encodings: Кодови таблици
 notice_no_issue_selected: "Няма избрани задачи."
 label_bulk_edit_selected_issues: Редактиране на задачи
 label_no_change_option: (Без промяна)
@@ -536,20 +536,20 @@
 setting_emails_footer: Подтекст за e-mail
 label_float: Дробно
 button_copy: Копиране
-mail_body_account_information_external: Можете да използвате вашия "%s" акаунт за вход.
-mail_body_account_information: Информацията за акаунта
+mail_body_account_information_external: Можете да използвате вашия "%s" профил за вход.
+mail_body_account_information: Информацията за профила ви
 setting_protocol: Протокол
 label_user_mail_no_self_notified: "Не искам известия за извършени от мен промени"
 setting_time_format: Формат на часа
-label_registration_activation_by_email: активиране на акаунта по email
-mail_subject_account_activation_request: Заявка за активиране на акаунт в %s
+label_registration_activation_by_email: активиране на профила по email
+mail_subject_account_activation_request: Заявка за активиране на профил в %s
 mail_body_account_activation_request: 'Има новорегистриран потребител (%s), очакващ вашето одобрение:'
 label_registration_automatic_activation: автоматично активиране
 label_registration_manual_activation: ръчно активиране
-notice_account_pending: "Акаунтът Ви е създаден и очаква одобрение от администратор."
+notice_account_pending: "Профилът Ви е създаден и очаква одобрение от администратор."
 field_time_zone: Часова зона
 text_caracters_minimum: Минимум %d символа.
-setting_bcc_recipients: Blind carbon copy (bcc) получатели
+setting_bcc_recipients: Получатели на скрито копие (bcc)
 button_annotate: Анотация
 label_issues_by: Задачи по %s
 field_searchable: С възможност за търсене
@@ -566,54 +566,54 @@
 label_repository_plural: Хранилища
 label_associated_revisions: Асоциирани ревизии
 setting_user_format: Потребителски формат
-text_status_changed_by_changeset: Applied in changeset %s.
-label_more: More
-text_issues_destroy_confirmation: 'Are you sure you want to delete the selected issue(s) ?'
-label_scm: SCM
-text_select_project_modules: 'Select modules to enable for this project:'
-label_issue_added: Issue added
-label_issue_updated: Issue updated
-label_document_added: Document added
-label_message_posted: Message added
-label_file_added: File added
-label_news_added: News added
-project_module_boards: Boards
-project_module_issue_tracking: Issue tracking
+text_status_changed_by_changeset: Приложено с ревизия %s.
+label_more: Още
+text_issues_destroy_confirmation: 'Сигурни ли сте, че искате да изтриете избраните задачи?'
+label_scm: SCM (Система за контрол на кода)
+text_select_project_modules: 'Изберете активните модули за този проект:'
+label_issue_added: Добавена задача
+label_issue_updated: Обновена задача
+label_document_added: Добавен документ
+label_message_posted: Добавено съобщение
+label_file_added: Добавен файл
+label_news_added: Добавена новина
+project_module_boards: Форуми
+project_module_issue_tracking: Тракинг
 project_module_wiki: Wiki
-project_module_files: Files
-project_module_documents: Documents
-project_module_repository: Repository
-project_module_news: News
-project_module_time_tracking: Time tracking
-text_file_repository_writable: File repository writable
-text_default_administrator_account_changed: Default administrator account changed
-text_rmagick_available: RMagick available (optional)
-button_configure: Configure
-label_plugins: Plugins
-label_ldap_authentication: LDAP authentication
+project_module_files: Файлове
+project_module_documents: Документи
+project_module_repository: Хранилище
+project_module_news: Новини
+project_module_time_tracking: Отделяне на време
+text_file_repository_writable: Възможност за писане в хранилището с файлове
+text_default_administrator_account_changed: Сменен фабричния администраторски профил
+text_rmagick_available: Наличен RMagick (по избор)
+button_configure: Конфигуриране
+label_plugins: Плъгини
+label_ldap_authentication: LDAP оторизация
 label_downloads_abbr: D/L
-label_this_month: this month
-label_last_n_days: last %d days
-label_all_time: all time
-label_this_year: this year
-label_date_range: Date range
-label_last_week: last week
-label_yesterday: yesterday
-label_last_month: last month
-label_add_another_file: Add another file
-label_optional_description: Optional description
-text_destroy_time_entries_question: %.02f hours were reported on the issues you are about to delete. What do you want to do ?
-error_issue_not_found_in_project: 'The issue was not found or does not belong to this project'
-text_assign_time_entries_to_project: Assign reported hours to the project
-text_destroy_time_entries: Delete reported hours
-text_reassign_time_entries: 'Reassign reported hours to this issue:'
-setting_activity_days_default: Days displayed on project activity
-label_chronological_order: In chronological order
-field_comments_sorting: Display comments
-label_reverse_chronological_order: In reverse chronological order
-label_preferences: Preferences
-setting_display_subprojects_issues: Display subprojects issues on main projects by default
-label_overall_activity: Overall activity
-setting_default_projects_public: New projects are public by default
-error_scm_annotate: "The entry does not exist or can not be annotated."
-label_planning: Planning
+label_this_month: текущия месец
+label_last_n_days: последните %d дни
+label_all_time: всички
+label_this_year: текущата година
+label_date_range: Период
+label_last_week: последната седмица
+label_yesterday: вчера
+label_last_month: последния месец
+label_add_another_file: Добавяне на друг файл
+label_optional_description: Незадължително описание
+text_destroy_time_entries_question: %.02f часа са отделени на задачите, които искате да изтриете. Какво избирате?
+error_issue_not_found_in_project: 'Задачата не е намерена или не принадлежи на този проект'
+text_assign_time_entries_to_project: Прехвърляне на отделеното време към проект
+text_destroy_time_entries: Изтриване на отделеното време
+text_reassign_time_entries: 'Прехвърляне на отделеното време към задача:'
+setting_activity_days_default: Брой дни показвани на таб Дейност
+label_chronological_order: Хронологичен ред
+field_comments_sorting: Сортиране на коментарите
+label_reverse_chronological_order: Обратен хронологичен ред
+label_preferences: Предпочитания
+setting_display_subprojects_issues: Показване на подпроектите в проектите по подразбиране
+label_overall_activity: Цялостна дейност
+setting_default_projects_public: Новите проекти са публични по подразбиране
+error_scm_annotate: "Обектът не съществува или не може да бъде анотиран."
+label_planning: Планиране