diff --git a/lang/da.yml b/lang/da.yml
index ff2ed98..dbae3ba 100644
--- a/lang/da.yml
+++ b/lang/da.yml
@@ -32,16 +32,16 @@ activerecord_error_wrong_length: har den forkerte længde
 activerecord_error_taken: er allerede valgt
 activerecord_error_not_a_number: er ikke et nummer
 activerecord_error_not_a_date: er en ugyldig dato
-activerecord_error_greater_than_start_date: skal være senere end start datoen
+activerecord_error_greater_than_start_date: skal være senere end startdatoen
 activerecord_error_not_same_project: høre ikke til samme projekt
-activerecord_error_circular_dependency: Denne relation vil skabe et afhængigheds forhold
+activerecord_error_circular_dependency: Denne relation vil skabe et afhængighedsforhold
 
 general_fmt_age: %d år
 general_fmt_age_plural: %d år
-general_fmt_date: %%m/%%d/%%Y
-general_fmt_datetime: %%m/%%d/%%Y %%I:%%M %%p
-general_fmt_datetime_short: %%b %%d, %%I:%%M %%p
-general_fmt_time: %%I:%%M %%p
+general_fmt_date: %%d/%%m/%%Y
+general_fmt_datetime: %%d/%%m/%%Y %%H:%%M
+general_fmt_datetime_short: %%b %%d, %%H:%%M
+general_fmt_time: %%H:%%M
 general_text_No: 'Nej'
 general_text_Yes: 'Ja'
 general_text_no: 'nej'
@@ -57,37 +57,37 @@ notice_account_updated: Kontoen er opdateret.
 notice_account_invalid_creditentials: Ugyldig bruger og kodeord
 notice_account_password_updated: Kodeordet er opdateret.
 notice_account_wrong_password: Forkert kodeord
-notice_account_register_done: Kontoen er oprettet. For at aktivere kontoen, ska du klikke på linket i den tilsendte email.
+notice_account_register_done: Kontoen er oprettet. For at aktivere kontoen skal du klikke på linket i den tilsendte email.
 notice_account_unknown_email: Ukendt bruger.
-notice_can_t_change_password: Denne konto benytter en ekstern sikkerheds godkendelse. Det er ikke muligt at skifte kodeord.
+notice_can_t_change_password: Denne konto benytter en ekstern sikkerhedsgodkendelse. Det er ikke muligt at skifte kodeord.
 notice_account_lost_email_sent: En email med instruktioner til at vælge et nyt kodeord er afsendt til dig.
 notice_account_activated: Din konto er aktiveret. Du kan nu logge ind.
-notice_successful_create: Succesfuld oprettelsen.
+notice_successful_create: Succesfuld oprettelse.
 notice_successful_update: Succesfuld opdatering.
 notice_successful_delete: Succesfuld sletning.
 notice_successful_connection: Succesfuld forbindelse.
 notice_file_not_found: Siden du forsøger at tilgå, eksisterer ikke eller er blevet fjernet.
 notice_locking_conflict: Data er opdateret af en anden bruger.
-notice_not_authorized: Du har ike adgang til denne side.
+notice_not_authorized: Du har ikke adgang til denne side.
 notice_email_sent: En email er sendt til %s
 notice_email_error: En fejl opstod under afsendelse af email (%s)
-notice_feeds_access_key_reseted: Din RSS adgangs nøgle er nulstillet.
+notice_feeds_access_key_reseted: Din adgangsnøgle til RSS er nulstillet.
 notice_failed_to_save_issues: "Det mislykkedes at gemme %d sage(r) på %d valgt: %s."
-notice_no_issue_selected: "Ingen sag er valgt! vælg venligst hvilke emner du vil rette."
-notice_account_pending: "Din konto er oprettet, og afventer administratorens godkendelse."
-notice_default_data_loaded: Default konfiguration er indlæst.
+notice_no_issue_selected: "Ingen sag er valgt! Vælg venligst hvilke emner du vil rette."
+notice_account_pending: "Din konto er oprettet, og afventer administrators godkendelse."
+notice_default_data_loaded: Standardopsætningen er indlæst.
 
-error_can_t_load_default_data: "Standard konfiguration kunne ikke indlæses: %s"
+error_can_t_load_default_data: "Standardopsætning kunne ikke indlæses: %s"
 error_scm_not_found: "Adgang og/eller revision blev ikke fundet i det valgte repository."
 error_scm_command_failed: "En fejl opstod under fobindelsen til det valgte repository: %s"
 
 mail_subject_lost_password: Dit %s kodeord
 mail_body_lost_password: 'For at ændre dit kodeord, klik på dette link:'
-mail_subject_register: %s konto aktivering
+mail_subject_register: %s kontoaktivering
 mail_body_register: 'For at aktivere din konto, klik på dette link:'
 mail_body_account_information_external: Du kan bruge din "%s" konto til at logge ind.
-mail_body_account_information: Din konto information
-mail_subject_account_activation_request: %s konto aktivering
+mail_body_account_information: Din kontoinformation
+mail_subject_account_activation_request: %s kontoaktivering
 mail_body_account_activation_request: 'En ny bruger (%s) er registreret. Godkend venligst kontoen:'
 
 gui_validation_error: 1 fejl
@@ -110,8 +110,8 @@ field_field_format: Format
 field_is_for_all: For alle projekter
 field_possible_values: Mulige værdier
 field_regexp: Regulære udtryk
-field_min_length: Minimum længde
-field_max_length: Maximal længde
+field_min_length: Mindste længde
+field_max_length: Største længde
 field_value: Værdi
 field_category: Kategori
 field_title: Titel
@@ -120,7 +120,7 @@ field_issue: Sag
 field_status: Status
 field_notes: Noter
 field_is_closed: Sagen er lukket
-field_is_default: Standard værdi
+field_is_default: Standardværdi
 field_tracker: Type
 field_subject: Emne
 field_due_date: Deadline
@@ -135,7 +135,7 @@ field_parent: Underprojekt af
 field_is_in_chlog: Sager vist i ændringer
 field_is_in_roadmap: Sager vist i roadmap
 field_login: Login
-field_mail_notification: Email notifikationer
+field_mail_notification: Email-påmindelser
 field_admin: Administrator
 field_last_login_on: Sidste forbindelse
 field_language: Sprog
@@ -153,14 +153,14 @@ field_attr_login: Login attribut
 field_attr_firstname: Fornavn attribut
 field_attr_lastname: Efternavn attribut
 field_attr_mail: Email attribut
-field_onthefly: løbende bruger oprettelse
+field_onthefly: løbende brugeroprettelse
 field_start_date: Start
 field_done_ratio: %% Færdig
-field_auth_source: Sikkerheds metode
+field_auth_source: Sikkerhedsmetode
 field_hide_mail: Skjul min email
 field_comments: Kommentar
 field_url: URL
-field_start_page: Start side
+field_start_page: Startside
 field_subproject: Underprojekt
 field_hours: Timer
 field_activity: Aktivitet
@@ -171,43 +171,43 @@ field_issue_to_id: Beslægtede sag
 field_delay: Udsættelse
 field_assignable: Sager kan tildeles denne rolle
 field_redirect_existing_links: Videresend eksisterende links
-field_estimated_hours: Estimeret tid
+field_estimated_hours: Anslået tid
 field_column_names: Kolonner
-field_time_zone: Tids zone
+field_time_zone: Tidszone
 field_searchable: Søgbar
-field_default_value: Standard værdi
+field_default_value: Standardværdi
 
-setting_app_title: Applikations titel
-setting_app_subtitle: Applikations undertekst
-setting_welcome_text: Velkomst tekst
-setting_default_language: Standard sporg
+setting_app_title: Applikationstitel
+setting_app_subtitle: Applikationsundertekst
+setting_welcome_text: Velkomsttekst
+setting_default_language: Standardsporg
 setting_login_required: Sikkerhed påkrævet
-setting_self_registration: Bruger oprettelse
+setting_self_registration: Brugeroprettelse
 setting_attachment_max_size: Vedhæftede filers max størrelse
-setting_issues_export_limit: Sags eksporterings begrænsning
-setting_mail_from: Afsender email
-setting_bcc_recipients: Blind carbon copy modtager (bcc)
+setting_issues_export_limit: Sagseksporteringsbegrænsning
+setting_mail_from: Afsender-email
+setting_bcc_recipients: Skjult modtager (bcc)
 setting_host_name: Værts navn
-setting_text_formatting: Tekst formattering
-setting_wiki_compression: Wiki historik komprimering
-setting_feeds_limit: Feed indholds begrænsning
+setting_text_formatting: Tekstformatering
+setting_wiki_compression: Wiki historikkomprimering
+setting_feeds_limit: Feed indholdsbegrænsning
 setting_autofetch_changesets: Automatisk hent commits
-setting_sys_api_enabled: Aktiver web service for automatisk repository administration
-setting_commit_ref_keywords: Reference nøgleord
-setting_commit_fix_keywords: Afslutnings nøgleord
+setting_sys_api_enabled: Aktiver webservice for automatisk administration af repository
+setting_commit_ref_keywords: Referencenøgleord
+setting_commit_fix_keywords: Afslutningsnøgleord
 setting_autologin: Autologin
-setting_date_format: Dato format
-setting_time_format: Tids format
-setting_cross_project_issue_relations: Tillad sags relationer på tværs af projekter
-setting_issue_list_default_columns: Standard kolonner på sags listen
-setting_repositories_encodings: Repository tegnsæt
-setting_emails_footer: Email fodnote
+setting_date_format: Datoformat
+setting_time_format: Tidsformat
+setting_cross_project_issue_relations: Tillad sagsrelationer på tværs af projekter
+setting_issue_list_default_columns: Standardkolonner på sagslisten
+setting_repositories_encodings: Repository-tegnsæt
+setting_emails_footer: Email-fodnote
 setting_protocol: Protokol
-setting_per_page_options: Objekter pr. side indstillinger
-setting_user_format: Bruger visnings format
+setting_per_page_options: Objekter pr. side-indstillinger
+setting_user_format: Brugervisningsformat
 
-project_module_issue_tracking: Sags søgning
-project_module_time_tracking: Tids styring
+project_module_issue_tracking: Sagssøgning
+project_module_time_tracking: Tidsstyring
 project_module_news: Nyheder
 project_module_documents: Dokumenter
 project_module_files: Filer
@@ -245,11 +245,11 @@ label_tracker: Type
 label_tracker_plural: Typer
 label_tracker_new: Ny type
 label_workflow: Arbejdsgang
-label_issue_status: Sags status
-label_issue_status_plural: Sags statuser
+label_issue_status: Sagsstatus
+label_issue_status_plural: Sagsstatuser
 label_issue_status_new: Ny status
-label_issue_category: Sags kategori
-label_issue_category_plural: Sags kategorier
+label_issue_category: Sagskategori
+label_issue_category_plural: Sagskategorier
 label_issue_category_new: Ny kategori
 label_custom_field: Brugerdefineret felt
 label_custom_field_plural: Brugerdefineret felt
@@ -280,9 +280,9 @@ label_new: Ny
 label_logged_as: Registreret som
 label_environment: Miljø
 label_authentication: Sikkerhed
-label_auth_source: Sikkerheds metode
-label_auth_source_new: Ny sikkerheds metode
-label_auth_source_plural: Sikkerheds metoder
+label_auth_source: Sikkerhedsmetode
+label_auth_source_new: Ny sikkerhedsmetode
+label_auth_source_plural: Sikkerhedsmetoder
 label_subproject_plural: Underprojekter
 label_min_max_length: Min - Max længde
 label_list: Liste
@@ -297,7 +297,7 @@ label_attribute_plural: Attributter
 label_download: %d Download
 label_download_plural: %d Downloads
 label_no_data: Ingen data at vise
-label_change_status: Ændrings status
+label_change_status: Ændringsstatus
 label_history: Historik
 label_attachment: Fil
 label_attachment_new: Ny fil
@@ -361,9 +361,9 @@ label_not_equals: er ikke
 label_in_less_than: er mindre end
 label_in_more_than: er større end
 label_in: indeholdt i
-label_today: idag
+label_today: i dag
 label_all_time: altid
-label_yesterday: igår
+label_yesterday: i går
 label_this_week: denne uge
 label_last_week: sidste uge
 label_last_n_days: sidste %d dage
@@ -398,7 +398,7 @@ label_sort_higher: Flyt op
 label_sort_lower: Flyt ned
 label_sort_lowest: Flyt til bunden
 label_roadmap: Roadmap
-label_roadmap_due_in: Deadline 
+label_roadmap_due_in: Deadline
 label_roadmap_overdue: %s forsinket
 label_roadmap_no_issues: Ingen sager til denne version
 label_search: Søg
@@ -419,17 +419,17 @@ label_issue_tracking: Sags søgning
 label_spent_time: Brugt tid
 label_f_hour: %.2f time
 label_f_hour_plural: %.2f timer
-label_time_tracking: Tids styring
+label_time_tracking: Tidsstyring
 label_change_plural: Ændringer
 label_statistics: Statistik
 label_commits_per_month: Commits pr. måned
 label_commits_per_author: Commits pr. bruger
 label_view_diff: Vis forskellighed
 label_diff_inline: inline
-label_diff_side_by_side: side ved side
+label_diff_side_by_side: side om side
 label_options: Optioner
 label_copy_workflow_from: Kopier arbejdsgang fra
-label_permissions_report: Godkendelses rapport
+label_permissions_report: Godkendelsesrapport
 label_watched_issues: Overvågede sager
 label_related_issues: Relaterede sager
 label_applied_status: Anvendte statuser
@@ -446,7 +446,7 @@ label_end_to_start: slut til start
 label_end_to_end: slut til slut
 label_start_to_start: start til start
 label_start_to_end: start til slut
-label_stay_logged_in: Forblin indlogget
+label_stay_logged_in: Forbliv indlogget
 label_disabled: deaktiveret
 label_show_completed_versions: Vis færdige versioner
 label_me: mig
@@ -468,7 +468,7 @@ label_date_to: Til
 label_language_based: Baseret på brugerens sprog
 label_sort_by: Sorter efter %s
 label_send_test_email: Send en test email
-label_feeds_access_key_created_on: RSS adgangsnøgle genereret %s siden
+label_feeds_access_key_created_on: RSS adgangsnøgle danet for %s siden
 label_module_plural: Moduler
 label_added_time_by: Tilføjet af %s for %s siden
 label_updated_time: Opdateret for %s siden
@@ -477,7 +477,7 @@ label_file_plural: Filer
 label_changeset_plural: Ændringer
 label_default_columns: Standard kolonner
 label_no_change_option: (Ingen ændringer)
-label_bulk_edit_selected_issues: Masse ret de valgte sager
+label_bulk_edit_selected_issues: Masseret de valgte sager
 label_theme: Tema
 label_default: standard
 label_search_titles_only: Søg kun i titler
@@ -485,9 +485,9 @@ label_user_mail_option_all: "For alle hændelser på mine projekter"
 label_user_mail_option_selected: "For alle hændelser, kun på de valgte projekter..."
 label_user_mail_option_none: "Kun for ting jeg overvåger, eller jeg er involveret i"
 label_user_mail_no_self_notified: "Jeg ønsker ikke besked, om ændring foretaget af mig selv"
-label_registration_activation_by_email: konto aktivering på email
-label_registration_manual_activation: manuel konto aktivering
-label_registration_automatic_activation: automatisk konto aktivering
+label_registration_activation_by_email: kontoaktivering på email
+label_registration_manual_activation: manuel kontoaktivering
+label_registration_automatic_activation: automatisk kontoaktivering
 label_display_per_page: 'Per side: %s'
 label_age: Alder
 label_change_properties: Ændre indstillinger
@@ -495,7 +495,7 @@ label_general: Generalt
 label_more: Mere
 label_scm: SCM
 label_plugins: Plugins
-label_ldap_authentication: LDAP godkendelse
+label_ldap_authentication: LDAP-godkendelse
 label_downloads_abbr: D/L
 
 button_login: Login
@@ -540,12 +540,13 @@ status_active: aktiv
 status_registered: registreret
 status_locked: låst
 
-text_select_mail_notifications: Vælg handlinger for hvilke, der skal sendes en email besked.
+text_select_mail_notifications: Vælg handlinger der skal sendes email besked
+for.
 text_regexp_info: f.eks. ^[A-ZÆØÅ0-9]+$
 text_min_max_length_info: 0 betyder ingen begrænsninger
-text_project_destroy_confirmation: Er du sikker på di vil slette dette projekt og alle relaterede data ?
-text_workflow_edit: Vælg en rolle samt en type, for at redigere arbejdsgangen
-text_are_you_sure: Er du sikker ?
+text_project_destroy_confirmation: Er du sikker på at du vil slette dette projekt og alle relaterede data?
+text_workflow_edit: Vælg en rolle samt en type for at redigere arbejdsgangen
+text_are_you_sure: Er du sikker?
 text_journal_changed: ændret fra %s til %s
 text_journal_set_to: sat til %s
 text_journal_deleted: slettet
@@ -558,21 +559,21 @@ text_caracters_minimum: Skal være mindst %d karakterer lang.
 text_length_between: Længde skal være mellem %d og %d karakterer.
 text_tracker_no_workflow: Ingen arbejdsgang defineret for denne type
 text_unallowed_characters: Ikke tilladte karakterer
-text_comma_separated: Adskillige værdier tilladt (komma separeret).
-text_issues_ref_in_commit_messages: Referer og løser sager i commit beskeder
+text_comma_separated: Adskillige værdier tilladt (adskilt med komma).
+text_issues_ref_in_commit_messages: Referer og løser sager i commit-beskeder
 text_issue_added: Sag %s er rapporteret af %s.
 text_issue_updated: Sag %s er blevet opdateret af %s.
-text_wiki_destroy_confirmation: Er du sikker på at du vil slette debbe wiki, og alt indholdet ?
-text_issue_category_destroy_question: Nogle sgaer (%d) er tildelt denne kategori. Hvad ønsker du at gøre ?
-text_issue_category_destroy_assignments: Slet kategori tildelinger
+text_wiki_destroy_confirmation: Er du sikker på at du vil slette denne wiki og dens indhold?
+text_issue_category_destroy_question: Nogle sager (%d) er tildelt denne kategori. Hvad ønsker du at gøre?
+text_issue_category_destroy_assignments: Slet tildelinger af kategori
 text_issue_category_reassign_to: Tildel sager til denne kategori
-text_user_mail_option: "For ikke valgte projekter, vil du kun modtage beskeder omhandlende ting, du er involveret i, eller overvåger (f.eks. sager du ahr indberettet eller ejer)."
-text_no_configuration_data: "Roller, typer, sags statuser og arbejdsgange er endnu ikek konfigureret.\nDet er anbefalet at indlæse standard konfigurationen. Du vil kunne ændre denne når den er indlæst."
-text_load_default_configuration: Indlæs standard konfiguration
+text_user_mail_option: "For ikke-valgte projekter vil du kun modtage beskeder omhandlende ting du er involveret i eller overvåger (f.eks. sager du ha indberettet eller ejer)."
+text_no_configuration_data: "Roller, typer, sagsstatuser og arbejdsgange er endnu ikke konfigureret.\nDet er anbefalet at indlæse standardopsætningen. Du vil kunne ændre denne når den er indlæst."
+text_load_default_configuration: Indlæs standardopsætningen
 text_status_changed_by_changeset: Anvendt i ændring %s.
-text_issues_destroy_confirmation: 'Er du sikker på du ønsker at slette den/de valgte sag(er) ?'
+text_issues_destroy_confirmation: 'Er du sikker på du ønsker at slette den/de valgte sag(er)?'
 text_select_project_modules: 'Vælg moduler er skal være aktiveret for dette projekt:'
-text_default_administrator_account_changed: Standard administrator konto ændret
+text_default_administrator_account_changed: Standard administratorkonto ændret
 text_file_repository_writable: Filarkiv er skrivbar
 text_rmagick_available: RMagick tilgængelig (valgfri)
 
@@ -588,7 +589,7 @@ default_issue_status_resolved: Løst
 default_issue_status_feedback: Feedback
 default_issue_status_closed: Lukket
 default_issue_status_rejected: Afvist
-default_doc_category_user: Bruger dokumentation
+default_doc_category_user: Brugerdokumentation
 default_doc_category_tech: Teknisk dokumentation
 default_priority_low: Lav
 default_priority_normal: Normal
@@ -598,17 +599,17 @@ default_priority_immediate: Omgående
 default_activity_design: Design
 default_activity_development: Udvikling
 
-enumeration_issue_priorities: Sags prioriteter
-enumeration_doc_categories: Dokument kategorier
-enumeration_activities: Aktiviteter (tids styring)
+enumeration_issue_priorities: Sagsprioriteter
+enumeration_doc_categories: Dokumentkategorier
+enumeration_activities: Aktiviteter (tidsstyring)
 
 label_add_another_file: Tilføj endnu en fil
 label_chronological_order: I kronologisk rækkefølge
-setting_activity_days_default: Antal dage der vises under projekt aktivitet
-text_destroy_time_entries_question: %.02f timer er reporteret på denne sag, som du er ved at slette. Hvad vil du gøre ?
+setting_activity_days_default: Antal dage der vises under projektaktivitet
+text_destroy_time_entries_question: %.02f timer er reporteret på denne sag, som du er ved at slette. Hvad vil du gøre?
 error_issue_not_found_in_project: 'Sagen blev ikke fundet eller tilhører ikke dette projekt'
 text_assign_time_entries_to_project: Tildel raporterede timer til projektet
-setting_display_subprojects_issues: Vis sager for underprojekter på hovedprojektet som default
+setting_display_subprojects_issues: Vis sager for underprojekter på hovedprojektet som standard
 label_optional_description: Optionel beskrivelse
 text_destroy_time_entries: Slet raportede timer
 field_comments_sorting: Vis kommentar
@@ -616,7 +617,7 @@ text_reassign_time_entries: 'Tildel raportede timer til denne sag igen'
 label_reverse_chronological_order: I omvendt kronologisk rækkefølge
 label_preferences: Preferences
 label_overall_activity: Overordnet aktivitet
-setting_default_projects_public: Nye projekter er offentlige som default
+setting_default_projects_public: Nye projekter er offentlige som standard
 error_scm_annotate: "The entry does not exist or can not be annotated."
 label_planning: Planlægning
-text_subprojects_destroy_warning: 'Its subproject(s): %s will be also deleted.'
+text_subprojects_destroy_warning: 'Dets underprojekter(er): %s vil også blive slettet.'
diff --git a/public/javascripts/calendar/lang/calendar-da.js b/public/javascripts/calendar/lang/calendar-da.js
index 2cba5f6..dfad321 100644
--- a/public/javascripts/calendar/lang/calendar-da.js
+++ b/public/javascripts/calendar/lang/calendar-da.js
@@ -91,21 +91,21 @@ Calendar._TT["ABOUT"] =
 "Dato valg:\n" +
 "- Benyt \xab, \xbb tasterne til at vælge år\n" +
 "- Benyt " + String.fromCharCode(0x2039) + ", " + String.fromCharCode(0x203a) + " tasterne til at vælge måned\n" +
-"- Hold muse tasten inde på punkterne for at vælge hurtigere.";
+"- Hold musetasten inde på punkterne for at vælge hurtigere.";
 Calendar._TT["ABOUT_TIME"] = "\n\n" +
 "Tids valg:\n" +
-"- Klik på en af tidsramerne for at forhøje det\n" +
+"- Klik på en af tidsrammerne for at forhøje det\n" +
 "- eller Shift-klik for at mindske det\n" +
 "- eller klik og træk for hurtigere valg.";
 
 Calendar._TT["PREV_YEAR"] = "Forrige år (hold for menu)";
 Calendar._TT["PREV_MONTH"] = "Forrige måned (hold for menu)";
-Calendar._TT["GO_TODAY"] = "Gå til idag";
+Calendar._TT["GO_TODAY"] = "Gå til dags dato";
 Calendar._TT["NEXT_MONTH"] = "Næste måned (hold for menu)";
 Calendar._TT["NEXT_YEAR"] = "Næste år (hold for menu)";
 Calendar._TT["SEL_DATE"] = "Vælg dato";
 Calendar._TT["DRAG_TO_MOVE"] = "Træk for at flytte";
-Calendar._TT["PART_TODAY"] = " (idag)";
+Calendar._TT["PART_TODAY"] = " (dags dato)";
 
 // the following is to inform that "%s" is to be the first day of week
 // %s will be replaced with the day name.
@@ -117,7 +117,7 @@ Calendar._TT["DAY_FIRST"] = "Vis %s først";
 Calendar._TT["WEEKEND"] = "6,7";
 
 Calendar._TT["CLOSE"] = "Luk";
-Calendar._TT["TODAY"] = "Idag";
+Calendar._TT["TODAY"] = "I dag";
 Calendar._TT["TIME_PART"] = "(Shift-)Klik eller træk for at ændre værdi";
 
 // date formats
diff --git a/public/javascripts/jstoolbar/lang/jstoolbar-da.js b/public/javascripts/jstoolbar/lang/jstoolbar-da.js
index 9996aca..063f463 100644
--- a/public/javascripts/jstoolbar/lang/jstoolbar-da.js
+++ b/public/javascripts/jstoolbar/lang/jstoolbar-da.js
@@ -1,14 +1,14 @@
 jsToolBar.strings = {};
 jsToolBar.strings['Strong'] = 'Fed';
 jsToolBar.strings['Italic'] = 'Kursiv';
-jsToolBar.strings['Underline'] = 'Underskrevet';
+jsToolBar.strings['Underline'] = 'Understreget';
 jsToolBar.strings['Deleted'] = 'Slettet';
-jsToolBar.strings['Code'] = 'Inline Kode';
+jsToolBar.strings['Code'] = 'Inline-kode';
 jsToolBar.strings['Heading 1'] = 'Overskrift 1';
 jsToolBar.strings['Heading 2'] = 'Overskrift 2';
 jsToolBar.strings['Heading 3'] = 'Overskrift 3';
-jsToolBar.strings['Unordered list'] = 'Unummereret list';
-jsToolBar.strings['Ordered list'] = 'Nummereret list';
-jsToolBar.strings['Preformatted text'] = 'Preformatteret tekst';
-jsToolBar.strings['Wiki link'] = 'Link til en Wiki side';
+jsToolBar.strings['Unordered list'] = 'Unummereret liste';
+jsToolBar.strings['Ordered list'] = 'Nummereret liste';
+jsToolBar.strings['Preformatted text'] = 'Præformateret tekst';
+jsToolBar.strings['Wiki link'] = 'Link til en wiki-side';
 jsToolBar.strings['Image'] = 'Billede';